/*******************************************************************
**                                                                **
**                    Genetic Library                             **
**                                                                **
**   A library of functions to give an environment for Genetic    **
**                      Algorithms.                               **
**                                                                **
**  While these functions were designed to be used in the field   **
**  of neural networks, they could easily (hopefully) be used on  **
**   other types of optimisations.  The library implements both   **
**   a 1-stage GA and a 2-stage GA. A one stage GA is a GA where  **
**   you only have one population, in a 2-stage GA you may have   **
**  several populations, and a "master" population wich controls  **
**                 the "sub" poulations.                          **
**                                                                **
**        This library has been implemented and tested on:        **
**                                                                **
**           IBM RS/6000 & AIX 3.2 & GCC 2.5.7                    **
**                                                                **
**                 PC & DOS 6.2 % MSC 7.0                         **
**                                                                **
**   This software is part of my Diplomarbeit at the University   **
**  Kassel, Researchgroup Neural Networks.  The software may be   **
**   used for academic and educational purposes.  The use in a    **
**   corporate environment depends on the written permission of   **
**   the author.  I give no warranty for the functions in this    **
**        library, although all have been tested.                 **
**                                                                **
**      You may alter the files in this library, but are not      **
**    permitted to redistribute the files under their original    **
**  name.  If you write additions to this library and would like  **
**    them to be included in future releases, contact me, I'll    **
**           include them and give you credit.                    **
**                                                                **
**      Send questions, bugs, requests for new features and       **
**                      additions to                              **
**                                                                **
**         jochenr@neuro.informatik.uni-kassel.de                 **
**                   University Kassel                            **
**                 FG Neuronale Netzwerke                         **
**                     Jochen Ruhland                             **
**                Heinrich-Plett-Str.  40                         **
**                     D-34132 Kassel                             **
**                        Germany                                 **
**                                                                **
*******************************************************************/
#ifndef _TOPOLOGY_H
#define _TOPOLOGY_H

#define IN_LAYER        3
#define H_LAYER         2
#define OUT_LAYER	1
/* Anzahl der Neuronen in den einzelnen Schichten, Hidden is 2* da */

#define N_TARGET        4

#define MAX_SYN_VALUE   8.0

/* Nun kommt eine Struktur die aus dem Genom des 1.GA die Informationen
zur Struktur der weiteren Netze ableitet */

struct n_list {
    int from;	/* Von welchem Neuron */
    int to; 	/* Geht die Synapse zu welchem? */
};

#define NUM_OF_CON ((IN_LAYER*H_LAYER)+(IN_LAYER*H_LAYER)+\
    	   (IN_LAYER*OUT_LAYER)+\
    	   (H_LAYER*H_LAYER)+(H_LAYER*OUT_LAYER)+\
    	   (H_LAYER*OUT_LAYER))
/* Die Anzahl der Synapsen insgesamt */
/* Mit obigen Werten 22 */

struct node_list {
    struct n_list nodes[NUM_OF_CON]; /* Die Verbindungen der Synapsen */
    int max_num_of_con; /* Die Anzahl der Synapsen */
};

#endif
